Bug 1231558 - 'str' object has no attribute 'name' when attempting to add iscsi storage pool
Summary: 'str' object has no attribute 'name' when attempting to add iscsi storage pool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-14 18:40 UTC by 1gf3sn+713l9aye027p4
Modified: 2015-08-18 05:14 UTC (History)
3 users (show)

Fixed In Version: virt-manager-1.2.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 05:14:22 UTC


Attachments (Terms of Use)

Description 1gf3sn+713l9aye027p4 2015-06-14 18:40:19 UTC
Description of problem:

Attempting to add storage pool, type iscsi, throws

Uncaught error validating input: 'str' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/createpool.py", line 395, in forward
    if self.validate(notebook.get_current_page()) is not True:
  File "/usr/share/virt-manager/virtManager/createpool.py", line 549, in validate
    return self._validate_page_format()
  File "/usr/share/virt-manager/virtManager/createpool.py", line 513, in _validate_page_format
    if not self._validate_page_name(self.get_pool_to_validate()):
  File "/usr/share/virt-manager/virtManager/createpool.py", line 499, in _validate_page_name
    self._pool.name = self.get_config_name()
AttributeError: 'str' object has no attribute 'name'

Version-Release number of selected component (if applicable):

virt-manager-1.2.1-1.fc22.noarch

How reproducible:

Reproduces reliably

Steps to Reproduce:
1. Storage -> Add Pool
2. Type: iscsi
3. Fill in the rest of fields (name, IQN, source host, ..)
4. Finish

Comment 1 Cole Robinson 2015-06-21 19:50:56 UTC
Thanks for the report, fixed upstream now:

commit 34db1af7b661b7eb5df4c71fc910d31c1ae9f7a4
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sun Jun 21 15:47:31 2015 -0400

    createpool: Fix adding iscsi pools (bz 1231558)

Comment 2 Fedora Update System 2015-08-11 20:11:58 UTC
virt-manager-1.2.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/virt-manager-1.2.1-2.fc22

Comment 3 Fedora Update System 2015-08-13 16:53:51 UTC
Package virt-manager-1.2.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-1.2.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13390/virt-manager-1.2.1-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-08-18 05:14:22 UTC
virt-manager-1.2.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.